package com.sunxung.factoring.entity.purchcontractmanagement.vo;

import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSupplementGoodsInfo;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSupplementInfo;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * 销售合同变更视图层对象
 */
public class PurchContractChangeVo {


    /**
     * 业务key(对应采购合同管理主键Id)
     */
    private Long businessKey;

    /**
     * 任务编号
     */
    private String taskId;

    /**
     * 变更合同补充信息
     */
    private PurchContractSupplementInfo contractSupplementInfo;

    /**
     * 货物信息
     **/
    private List<PurchContractSupplementGoodsInfo> contractGoodsInfo;

    /**
     * 文件
     */
    private List<FileStorage> files;

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    public PurchContractChangeVo() {
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public PurchContractSupplementInfo getContractSupplementInfo() {
        return contractSupplementInfo;
    }

    public void setContractSupplementInfo(PurchContractSupplementInfo contractSupplementInfo) {
        this.contractSupplementInfo = contractSupplementInfo;
    }

    public List<PurchContractSupplementGoodsInfo> getContractGoodsInfo() {
        return contractGoodsInfo;
    }

    public void setContractGoodsInfo(List<PurchContractSupplementGoodsInfo> contractGoodsInfo) {
        this.contractGoodsInfo = contractGoodsInfo;
    }
}
